org.apache.solr.update.processor

## Class UpdateRequestProcessorFactory

- java.lang.Object
- - org.apache.solr.update.processor.UpdateRequestProcessorFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin
  Direct Known Subclasses:
    AbstractDefaultValueUpdateProcessorFactory, AddSchemaFieldsUpdateProcessorFactory, CdcrUpdateProcessorFactory, ClassificationUpdateProcessorFactory, CloneFieldUpdateProcessorFactory, DistributedUpdateProcessorFactory, DocBasedVersionConstraintsProcessorFactory, DocExpirationUpdateProcessorFactory, FieldMutatingUpdateProcessorFactory, FieldNameMutatingUpdateProcessorFactory, IgnoreCommitOptimizeUpdateProcessorFactory, LogUpdateProcessorFactory, NoOpDistributingUpdateProcessorFactory, RegexpBoostProcessorFactory, RunUpdateProcessorFactory, SignatureUpdateProcessorFactory, SimpleUpdateProcessorFactory, StatelessScriptUpdateProcessorFactory, TolerantUpdateProcessorFactory, URLClassifyProcessorFactory, UUIDUpdateProcessorFactory

      public abstract class UpdateRequestProcessorFactory
      extends Object
      implements NamedListInitializedPlugin

  A factory to generate an UpdateRequestProcessor for each request. If the factory needs access to `SolrCore` in initialization, it could implement `SolrCoreAware`
  Since:
    solr 1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UpdateRequestProcessorFactory.RunAlways` A marker interface for UpdateRequestProcessorFactory implementations indicating that the factory should be used even if the update.distrib parameter would otherwise cause it to not be run.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateRequestProcessorFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract UpdateRequestProcessor` | `getInstance(SolrQueryRequest req, SolrQueryResponse rsp, UpdateRequestProcessor next)`
    `void` | `init(NamedList args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateRequestProcessorFactory

          public UpdateRequestProcessorFactory()

  - ### Method Detail

    - #### init

          public void init(NamedList args)

      Specified by:
        `init` in interface `NamedListInitializedPlugin`

    - #### getInstance

          public abstract UpdateRequestProcessor getInstance(SolrQueryRequest req,
                                                             SolrQueryResponse rsp,
                                                             UpdateRequestProcessor next)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.